# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-03-25 20:31
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations
from django.db.migrations import RunPython


def apply(apps, schema_editor):
    group_model = apps.get_model('auth', 'Group')
    permission_model = apps.get_model('auth', 'Permission')

    instance, created = group_model.objects.get_or_create(
        name__iexact=settings.PRODUCTS_EDITOR_GROUP_NAME,
        defaults={
            'name': settings.PRODUCTS_EDITOR_GROUP_NAME
        }
    )
    try:
        update_permission = permission_model.objects.get(codename='change_productseditorproduct')
        instance.permissions.add(update_permission)
    except permission_model.DoesNotExist:
        pass


def rollback(apps, schema_editor):
    group_model = apps.get_model('auth', 'Group')
    try:
        instance = group_model.objects.get(
            name__iexact=settings.PRODUCTS_EDITOR_GROUP_NAME
        )
        instance.delete()
    except group_model.DoesNotExist:
        pass


class Migration(migrations.Migration):
    dependencies = [
        ('products_editor', '0001_initial'),
    ]

    operations = [
        RunPython(apply, rollback)
    ]
